# Generated from rspec_junit_formatter-0.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rspec_junit_formatter

Name: rubygem-%{gem_name}
Version: 0.2.0
Release: 1%{?dist}
Summary: RSpec JUnit XML formatter
Group: Development/Languages
License: MIT
URL: http://github.com/sj26/rspec_junit_formatter
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: ruby(release)
Requires: ruby(rubygems) >= 1.3.6
Requires: rubygem(rspec) 
Requires: rubygem(rspec-core)
Requires: rubygem(builder)
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 1.3.6
BuildRequires: ruby 
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
RSpec results that Hudson or Jenkins can read.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

# Run the test suite
%check
pushd .%{gem_instdir}
# The tests are horribly broken
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/LICENSE
%doc %{gem_instdir}/README.md

%changelog
* Thu Jul 03 2014 Julian C. Dunn (<jdunn@aquezada.com>) - 0.2.0-1
- Initial package
